OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_HArray1OfIGESEntity Class Reference

`#include <IGESData_HArray1OfIGESEntity.hxx>`

## Public Member Functions
Standard_EXPORT | IGESData_HArray1OfIGESEntity (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESData_HArray1OfIGESEntity (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESData_IGESEntity)&V)
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESData_IGESEntity)&Value)
const Handle_IGESData_IGESEntity & | Value (const Standard_Integer Index) const
Handle_IGESData_IGESEntity & | ChangeValue (const Standard_Integer Index)
const IGESData_Array1OfIGESEntity & | Array1 () const
IGESData_Array1OfIGESEntity & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
IGESData_Array1OfIGESEntity | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_HArray1OfIGESEntity::IGESData_HArray1OfIGESEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESData_HArray1OfIGESEntity::IGESData_HArray1OfIGESEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESData_IGESEntity)& | V
| ) |

## Member Function Documentation

const IGESData_Array1OfIGESEntity& IGESData_HArray1OfIGESEntity::Array1 | ( |  | ) | const

IGESData_Array1OfIGESEntity& IGESData_HArray1OfIGESEntity::ChangeArray1 | ( |  | ) |

Handle_IGESData_IGESEntity& IGESData_HArray1OfIGESEntity::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESData_HArray1OfIGESEntity::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESData_HArray1OfIGESEntity::Init | ( | const Handle(IGESData_IGESEntity)& | V | ) |

Standard_Integer IGESData_HArray1OfIGESEntity::Length | ( |  | ) | const

Standard_Integer IGESData_HArray1OfIGESEntity::Lower | ( |  | ) | const

void IGESData_HArray1OfIGESEntity::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESData_IGESEntity)& | Value
| ) |

Standard_Integer IGESData_HArray1OfIGESEntity::Upper | ( |  | ) | const

const Handle_IGESData_IGESEntity& IGESData_HArray1OfIGESEntity::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESData_Array1OfIGESEntity IGESData_HArray1OfIGESEntity::myArray`[private]`

The documentation for this class was generated from the following file:

- IGESData_HArray1OfIGESEntity.hxx